<?php
$string = 'Jak się masz?';
if (strpos($string, 'się') !== false) {
    echo 'OK (zawiera się)'.PHP_EOL;
}
$search = 'się';
if (preg_match("/{$search}/i", $string)) {
    echo 'OK (zawiera się)'.PHP_EOL;
}
$search = 'Jak';
if(strpos($string, $search) === 0) { 
    echo 'OK (rozpoczyna się)'.PHP_EOL;
}
$search = 'masz?';
if (substr($string, -strlen($search)) === $search) { 
    echo 'OK (kończy się)'.PHP_EOL;
}